package com.jasamedika.medifirst2000.vo;

import java.io.Serializable;
import javax.persistence.*;
import java.util.Date;
import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class KeadaanLahirBayi
 * 
 * @author Generator
 */
//@Entity
//@Table(name = "KeadaanLahirBayi_M")
public class KeadaanLahirBayiVO extends BaseMasterVO {
	@Caption(value="Kode Keadaan Lahir Bayi")
	private String kdKeadaanLahirBayi;

	public void setKdKeadaanLahirBayi(String kdKeadaanLahirBayi) {
		this.kdKeadaanLahirBayi = kdKeadaanLahirBayi;
	}

	@Column(name = "KdKeadaanLahirBayi", nullable = false , length = 2)
	public String getKdKeadaanLahirBayi(){
		return this.kdKeadaanLahirBayi;
	}

	@ManyToOne
	@JoinColumn(name = "ObjectKuantitasLahirBayiFk")
	@NotNull(message="Object Kuantitas Lahir Bayi Harus Diisi")
	@Caption(value="Object Kuantitas Lahir Bayi")
	private KuantitasLahirBayiVO kuantitasLahirBayi;

	public void setKuantitasLahirBayi(KuantitasLahirBayiVO kuantitasLahirBayi) {
		this.kuantitasLahirBayi = kuantitasLahirBayi;
	}

	@Column(name = "KdKuantitasLahirBayi", nullable = false , length = 1)
	public KuantitasLahirBayiVO getKuantitasLahirBayi(){
		return this.kuantitasLahirBayi;
	}

	@Column(name = "ObjectKuantitasLahirBayiFk", insertable=false,updatable=false)
	private Integer kuantitasLahirBayiId;

	@Caption(value="Keadaan Lahir Bayi")
	private String keadaanLahirBayi;

	public void setKeadaanLahirBayi(String keadaanLahirBayi) {
		this.keadaanLahirBayi = keadaanLahirBayi;
	}

	@Column(name = "KeadaanLahirBayi", nullable = false , length = 30)
	public String getKeadaanLahirBayi(){
		return this.keadaanLahirBayi;
	}

	@Caption(value="QKeadaan Lahir Bayi")
	private Byte qKeadaanLahirBayi;

	public void setqKeadaanLahirBayi(Byte qKeadaanLahirBayi) {
		this.qKeadaanLahirBayi = qKeadaanLahirBayi;
	}

	@Column(name = "QKeadaanLahirBayi", nullable = false )
	public Byte getqKeadaanLahirBayi(){
		return this.qKeadaanLahirBayi;
	}


}

